/*
	============================================================================
	Name        : costFunction.h
	Author      : Leonardo Suriano
	Version     : 1.0
	Copyright   :
	Description :
	============================================================================
*/

#ifndef COSTFUNCTION_H
#define COSTFUNCTION_H

#include "preesm.h"

void costFunctionParallel(int nbParameters, int ParallelPoints, IN simplexPlus_t *simplexVertices, OUT simplexPlus_t *simplexVerticesEvaluated);
double cost_fun_Light(int n, double x[5], double *pos_final);
void initCostFunctionParallel();
void costFunctionParallelARTICO3(int nbParameters, int ParallelPoints, IN simplexPlus_t *simplexVertices, OUT simplexPlus_t *simplexVerticesEvaluated);
double cost_fun_Light_HARDWARE(int n, double x[5], double *pos_final);

#endif // COSTFUNCTION_H
