/*
	============================================================================
	Name        : shrink.h
	Author      : Leonardo Suriano
	Version     : 1.0
	Copyright   :
	Description :
	============================================================================
*/

#ifndef SHRINK_H
#define SHRINK_H

#include "preesm.h"

void shrink(int nbParameters, int CodomainDim, IN point_t *inputVertices, IN point_t *centroidVertex, OUT point_t *newSimplex);
void shrinkParallel(int nbParameters, int ParallelPoints, IN simplex_t *inputVertices, IN point_t *centroidVertex, OUT simplex_t *newSimplex);

#endif // SHRINK_H
