/*
	============================================================================
	Name        : contraction.h
	Author      : Leonardo Suriano
	Version     : 1.0
	Copyright   :
	Description :
	============================================================================
*/

#ifndef CONTRACTION_H
#define CONTRACTION_H

#include "preesm.h"

void contractionOutside(int nbParameters, IN point_t *inputVertices, IN point_t *centroidVertex, OUT point_t *AcOutside);
void contractionInside(int nbParameters, IN point_t *inputVertices, IN point_t *centroidVertex, OUT point_t *AcInside);
void contractionOutsideParallel(int nbParameters, int ParallelPoints, IN simplex_t *inputVertices, IN point_t *centroidVertex, OUT point_t *Aco);
void contractionInsideParallel(int nbParameters, int ParallelPoints, IN simplex_t *inputVertices, IN point_t *centroidVertex, OUT point_t *Aci);

#endif // CONTRACTION_H
