#include "selectParallel.h"
#include "auxiliars.h"

	//new is the destination and old is the source
	//void updateSimplex(int nbParameters, point_t *newSimplex, point_t *oldSimplex)

unsigned int selectCounter=0;
unsigned int segmentCounter = 0;

void selecting(int nbParameters, IN point_t *initSimplex, IN point_t *feedbackSimplex, OUT point_t *simplex){
	if(selectCounter==0){
		updateSimplex(nbParameters, simplex, initSimplex);
		selectCounter++;
	} else {
		updateSimplex(nbParameters, simplex, feedbackSimplex);
	}
}

void selectingParallel(int nbParameters, int ParallelPoints, int TotalPoints, IN simplex_t *simplexGen, IN simplex_t *feedbackSimplex, OUT simplex_t *simplexOut){
	//
	if(segmentCounter == 0){
		for(int i = 0; i<ParallelPoints; i++){
			updateSimplex72(nbParameters, simplexOut + i, simplexGen + i);
			//printf("SELECT\n");
			//printSimplex72(nbParameters, simplexOut + i);
		}
		segmentCounter++;
	} else {
		for(int i = 0; i<ParallelPoints; i++){
			updateSimplex72(nbParameters, simplexOut + i, feedbackSimplex + i);
		}
		segmentCounter++;
	}
}
